Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel
Interface SessionFactoryBuilder

All Known Implementing Classes:
  SessionFactoryBuilderImpl

    public interface SessionFactoryBuilder

Method Summary
`SessionFactory` | `buildSessionFactory()`
`SessionFactoryBuilder` | `with(EntityNotFoundDelegate entityNotFoundDelegate)`
`SessionFactoryBuilder` | `with(Interceptor interceptor)`

Method Detail

### with

    SessionFactoryBuilder with(Interceptor interceptor)

### with

    SessionFactoryBuilder with(EntityNotFoundDelegate entityNotFoundDelegate)

### buildSessionFactory

    SessionFactory buildSessionFactory()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.